[@bigcommerce/checkout-sdk](../README.md) / MutationObeserverCreator

# Interface: MutationObeserverCreator

## Table of contents

### Constructors

- [constructor](MutationObeserverCreator.md#constructor)

### Properties

- [prototype](MutationObeserverCreator.md#prototype)

## Constructors

### constructor

• **new MutationObeserverCreator**(`callback`): `MutationObserver`

#### Parameters

| Name | Type |
| :------ | :------ |
| `callback` | `MutationCallback` |

#### Returns

`MutationObserver`

## Properties

### prototype

• **prototype**: `MutationObserver`
